org.apache.sysds.runtime.compress.utils

## Class DArrCounts

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DArrCounts

    public class DArrCounts
    extends Object

### Field Summary

Fields
`int` `count`
`int` `id`
`DblArray` `key`

### Constructor Summary

Constructors
Constructor and Description
`DArrCounts(DblArray key, int id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `inc()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key

    public final DblArray key

#### count

    public int count

#### id

    public int id

### Constructor Detail

#### DArrCounts

    public DArrCounts(DblArray key,
                      int id)

### Method Detail

#### inc

    public void inc()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`